

#include <stdlib.h>
#include <sstream>
#include "GFX.h"
#include "Core.h"
#include "CollisionGame.h"

Core *core;
CollisionGame *game;
GFX *gfx;


long totalticks = 0;


int main(int argc, char *argv[]) {
	Core *core = Core::Instance();
	core->Init();

	gfx = GFX::Instance();
	game = CollisionGame::Instance();
	core->AddRenderer(game);
	
	// Our main game loop
	core->Start();

	// Clean up gfx
	delete(gfx);
	gfx = 0;

	return 0;
}